Loading...
Searching...
No Matches
dolfin::BasisFunction Class Reference

Represention of a finite element basis function. More...

`#include <BasisFunction.h>`

Inheritance diagram for dolfin::BasisFunction:
[legend]
Collaboration diagram for dolfin::BasisFunction:
[legend]

## Public Member Functions

| BasisFunction (std::size_t index, std::shared_ptr< const FiniteElement > element, const std::vector< double > &coordinate_dofs)
| ~BasisFunction ()
| Destructor.
void | update_index (std::size_t index)
void | eval (double *values, const double *x) const
void | eval_derivatives (double *values, const double *x, std::size_t n) const
void | evaluate (double *values, const double *coordinates, const ufc::cell &cell) const

## Detailed Description

Represention of a finite element basis function.

It can be used for computation of basis function values and derivatives.

Evaluation of basis functions is also possible through the use of the functions evaluate_basis and evaluate_basis_derivatives available in the FiniteElement class. The BasisFunction class relies on these functions for evaluation but also implements the ufc::function interface which allows evaluate_dof to be evaluated for a basis function (on a possibly different element).

## Constructor & Destructor Documentation

## BasisFunction()

dolfin::BasisFunction::BasisFunction | ( | std::size_t | index,
|  | std::shared_ptr< const FiniteElement > | element,
|  | const std::vector< double > & | coordinate_dofs )

inline

Create basis function with given index on element on given cell

Parameters

  index | (std::size_t) The index of the basis function.
  element | (FiniteElement) The element to create basis function on.
  coordinate_dofs | (std::vector<double>&) The coordinate dofs of the cell

## Member Function Documentation

## eval()

void dolfin::BasisFunction::eval | ( | double * | values,
|  | const double * | x ) const

inline

Evaluate basis function at given point

Parameters

  values | (double) The values of the function at the point.
  x | (double) The coordinates of the point.

## eval_derivatives()

void dolfin::BasisFunction::eval_derivatives | ( | double * | values,
|  | const double * | x,
|  | std::size_t | n ) const

inline

Evaluate all order n derivatives at given point

Parameters

  values | (double) The values of derivatives at the point.
  x | (double) The coordinates of the point.
  n | (std::size_t) The order of derivation.

## evaluate()

void dolfin::BasisFunction::evaluate | ( | double * | values,
|  | const double * | coordinates,
|  | const ufc::cell & | cell ) const

inline

Evaluate function at given point in cell

Parameters

  values | (double) The values of the function at the point..
  coordinates | (double) The coordinates of the point.
  cell | (ufc::cell) The cell.

## update_index()

void dolfin::BasisFunction::update_index | ( | std::size_t | index | ) |

inline

Update the basis function index

Parameters

  index | (std::size_t) The index of the basis function.

The documentation for this class was generated from the following file:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/fem/BasisFunction.h